Manuel PHP
Précédent |  | Suivant

# DOMDocument->importNode()

(no version information, might be only in CVS)

DOMDocument->importNode() -- Importe un noeud dans le document courant

## Description

class DOMDocument {
DOMNode importNode ( DOMNode importedNode [, bool deep] )
}

Cette fonction retourne une copie du noeud à importer et l'associe avec le document courant.

## Liste de paramètres

importedNode

  Le noeud à importer.

deep

  Si défini à `TRUE`, cette méthode importera récursivement le sous-arbre situé sous le noeud importedNode.

## Valeurs de retour

The copied node.

## Exceptions

DOMException est lancé si le noeud ne peut pas être importé.

Précédent | Sommaire | Suivant
DOMDocument->getElementsByTagNameNS() | Niveau supérieur | DOMDocument->load()